<?php
// Instruktionen für die Übersetzungsaufgabe.
// Hier werden auch die Stimuli eingelesen und bei Bedarf
// permutiert.

// Start PHP session
session_start();

// Reset and start again so that other raters can use the same computer
$_SESSION = array();

// Read off SubjectID
$_SESSION["SubjectID"] = $_GET["ID"];

// Read in stimuli
/**
 * Convert a comma separated file into an associated array.
 * The first row should contain the array keys.
 *
 * Example:
 *
 * @param string $filename Path to the CSV file
 * @param string $delimiter The separator used in the file
 * @return array
 * @link http://gist.g	ithub.com/385876
 * @author Jay Williams <http://myd3.com/>
 * @copyright Copyright (c) 2010, Jay Williams
 * @license http://www.opensource.org/licenses/mit-license.php MIT License
 */
function csv_to_array($filename='', $delimiter=',')
{
	if(!file_exists($filename) || !is_readable($filename))
		return FALSE;

	$header = NULL;
	$data = array();
	if (($handle = fopen($filename, 'r')) !== FALSE)
	{
		while (($row = fgetcsv($handle, 1000, $delimiter)) !== FALSE)
		{
			if(!$header)
				$header = $row;
			else
				$data[] = array_combine($header, $row);
		}
		fclose($handle);
	}
	return $data;
}

// Read in csv file with stimuli
$stimuli_productive = csv_to_array('wordlists/stimuli_productive.csv');

// Shuffle order of stimuli and translations
shuffle($stimuli_productive);

// Assign word pairs to session variable
$_SESSION["stimuli_productive"] = $stimuli_productive;

// Set index to 0 (first word pair)
$_SESSION["index"] = 0;

// Action on button press
if(isset($_POST['submit'])){
	// Direct to test.php when form has been processed.
	header('Location: uebersetzungen_productive.php');
	exit();
}
?>

<!DOCTYPE html>
<html, lang = "nl">

<head>
	<meta charset="UTF-8">

	<link rel="stylesheet" type="text/css" href="stylesheet.css">

	<title>Instruction P</title>

</head>

<body>

	<div class="outer">
		<div class="middle">
			<div class="inner">

				<div class="content">

					<p>Als Nächstes wirst du die Wörter übersetzen, welche du in der Präsentation zu Beginn gesehen hast.</p>
					<p>Zuerst wirst du ein paar davon von Deutsch auf Englisch übersetzen.</p>
					<p>Tippe die Lösung ein und drücke dann auf Weiter.</p>
					<p>Es ist egal, ob du GROSS- oder kleinbuchstaben schreibst. </p>
					<p>Du musst ein Wort eintippen, damit du weitergehen kannst. </p>
					<p>Wenn du es nicht mehr weisst oder unsicher bist, darfst du auch raten.
					</p>

				</div> <!-- close content -->

				<!-- Doorgaan -->
					<form method='post'>
						<p class="center">
							<input type="submit" name ="submit" class = "button" value="weiter"/>
						</p>
					</form>

			</div> <!-- close inner -->
		</div> <!-- close middle -->
	</div> <!-- close outer -->

</body>

</html>
